<?php

//modifica cabeçalho HTTP para evitar cache
$gmtDate = gmdate("D, d M Y H:i:s");
header("Expires: {$gmtDate} GMT");
header("Last-Modified: {$gmtDate} GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");
header("Content-Type: text/html; charset=utf-8");

require_once("config.inc.php");	//configurações de conexão ao banco de dados
//require_once("func.inc.php");	//biblioteca de funções PHP
require_once("php_serial.class.php");

//define variáveis
$ts_login = isset($_SESSION["user_id"]) ? $_SESSION["user_id"] : NULL;
$pwrsocket = isset($_POST['socket_nm']) ? $_POST['socket_nm'] : NULL;
$pwrsocket = preg_replace("/[^0-9]/", "", $pwrsocket);
//echo "Debug: ".$pwrsocket;

function Serial($message) {
	$serial = new phpSerial;
	$serial->deviceSet("/dev/arduino");
	$serial->confBaudRate(57600);
	$serial->confParity("none");
	$serial->confCharacterLength(8);
	$serial->confStopBits(1);
	$serial->confFlowControl("none");
	$serial->deviceOpen();
	$serial->sendMessage($message);
	$read = $serial->readPort();
	echo "<span class=\"socket\">->".$read;
	$serial->deviceClose();
}

$erro=0;

if(empty($pwrsocket)) {
	echo "<br /><span class=\"erro\">&raquo; Campo \"Socket\" inválido!</span>";
	$erro=1;
}

if($erro==1) {
	echo "<br /><br />
<a href=\"?sis=opcao\">&laquo; voltar</a>";
}

if($erro==0) {


	if($pwrsocket == "10") {
		exec("stty -F /dev/arduino speed 57600 cs8 -cstopb -parenb");
		exec("echo -n 10 > /dev/arduino");
		//Serial("10");
		//echo "Debug: ".$pwrsocket;
	}
	if($pwrsocket == "11") {
		exec("stty -F /dev/arduino speed 57600 cs8 -cstopb -parenb");
		exec("echo -n 11 > /dev/arduino");
		//Serial("11");
		//echo "Debug: ".$pwrsocket;
	}
	if($pwrsocket == "20") {
		exec("stty -F /dev/arduino speed 57600 cs8 -cstopb -parenb");
		system("echo -n 20 > /dev/arduino");
		//Serial("20");
		//echo "Debug: ".$pwrsocket;
	}
	if($pwrsocket == "21") {
		exec("stty -F /dev/arduino speed 57600 cs8 -cstopb -parenb");
		exec("echo -n 21 > /dev/arduino");
		//Serial("21");
		//echo "Debug: ".$pwrsocket;
	}
	if($pwrsocket == "30") {
		exec("stty -F /dev/arduino speed 57600 cs8 -cstopb -parenb");
		system("echo -n 30 > /dev/arduino");
		//Serial("30");
		//echo "Debug: ".$pwrsocket;
	}
	if($pwrsocket == "31") {
		exec("stty -F /dev/arduino speed 57600 cs8 -cstopb -parenb");
		exec("echo -n 31 > /dev/arduino");
		//Serial("31");
		//echo "Debug: ".$pwrsocket;
	}
	if($pwrsocket == "40") {
		exec("stty -F /dev/arduino speed 57600 cs8 -cstopb -parenb");
		system("echo -n 40 > /dev/arduino");
		//Serial("40");
		//echo "Debug: ".$pwrsocket;
	}
	if($pwrsocket == "41") {
		exec("stty -F /dev/arduino speed 57600 cs8 -cstopb -parenb");
		exec("echo -n 41 > /dev/arduino");
		//Serial("41");
		//echo "Debug: ".$pwrsocket;

	}

	echo "<br /><span class=\"sucesso\">&raquo; Comando enviado com sucesso!";
}

?>
