<?php

//modifica cabeçalho HTTP para evitar cache
$gmtDate = gmdate("D, d M Y H:i:s");
header("Expires: {$gmtDate} GMT");
header("Last-Modified: {$gmtDate} GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");
header("Content-Type: text/html; charset=utf-8");

require_once("config.inc.php");	//configurações de conexão ao banco de dados
//require_once("func.inc.php");	//biblioteca de funções PHP
require_once("php_serial.class.php");

//define variáveis
$ts_login = isset($_SESSION["user_id"]) ? $_SESSION["user_id"] : NULL;

function Serial($message) {
	$serial = new phpSerial;
	$serial->deviceSet("/dev/arduino");
	$serial->confBaudRate(57600);
	$serial->confParity("none");
	$serial->confCharacterLength(8);
	$serial->confStopBits(1);
	$serial->confFlowControl("none");
	$serial->deviceOpen();
	$serial->sendMessage($message);
	$read = $serial->readPort();
	$read = rtrim($read);
	time_nanosleep(0, 5000000);
	//echo "<span class=\"socket\">->".$read.":<br />";
	if ($read == "R10") {
		echo "<span class=\"lamp_off\">&nbsp;&raquo; Tomada 1<br />";
	}
	if ($read == "R11") {
		echo "<span class=\"lamp_on\">&nbsp;&raquo; Tomada 1<br />";
	}
	if ($read == "R20") {
		echo "<span class=\"lamp_off\">&nbsp;&raquo; Luz<br />";
	}
	if ($read == "R21") {
		echo "<span class=\"lamp_on\">&nbsp;&raquo; Luz<br />";
	}
	if ($read == "R30") {
		echo "<span class=\"lamp_off\">&nbsp;&raquo; Ventilador<br />";
	}
	if ($read == "R31") {
		echo "<span class=\"lamp_on\">&nbsp;&raquo; Ventilador<br />";
	}
	/*if ($read == "R40") {
		echo "<span class=\"lamp_off\">&nbsp;&raquo; Tomada 4<br />";
	}
	if ($read == "R41") {
		echo "<span class=\"lamp_on\">&nbsp;&raquo; Tomada 4<br />";
	}*/
	$serial->deviceClose();
}

	echo "<label style=\"font-size:14px;\" for=\"status\">Status tomadas:</label><br />";
	Serial("A");
	time_nanosleep(0, 1000000);
	Serial("B");
	time_nanosleep(0, 1000000);
	Serial("C");
	//time_nanosleep(0, 1000000);
	//Serial("D");

?>
